ur_rna.RNAstructureUI.windows

## Class PredictTwoStructureWindow.PredictTask

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase
  - - ur_rna.RNAstructureUI.windows.PredictTwoStructureWindow.PredictTask

- All Implemented Interfaces:
    java.lang.Runnable, PredictWindowBase.BackgroundTask
  Enclosing class:
    PredictTwoStructureWindow

      private class PredictTwoStructureWindow.PredictTask
      extends PredictWindowBase.PredictTaskBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowBaseInserts`
    `int` | `alnWindowSize`
    `java.lang.String` | `baseOutputName1`
    `java.lang.String` | `baseOutputName2`
    `java.lang.String` | `baseOutputNameShared`
    `java.lang.String` | `conFile1`
    `java.lang.String` | `conFile2`
    `double` | `gapPenalty`
    `int` | `maxEnergyDiff`
    `int` | `maxStructures`
    `java.lang.String` | `outDsv`
    `java.lang.String` | `outDynAln`
    `java.lang.String` | `outDynCt1`
    `java.lang.String` | `outDynCt2`
    `java.lang.String` | `outPartsCt1`
    `java.lang.String` | `outPartsCt2`
    `int` | `partsMode`
    `int` | `seqType1`
    `int` | `seqType2`
    `java.lang.String` | `sequence1`
    `java.lang.String` | `sequence2`
    `java.lang.String` | `shapeFile`
    `int` | `stochasticSamples`
    `int` | `windowSize`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `canCancel, errorMessage, hadError, isCanceled, nextStepWork, status, stepProgress, workDone`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PredictTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runCalc()`
    `protected boolean` | `showResults()` Show the results window.

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `cancel, checkError, checkError, checkError, checkError, checkError, getProgress, getStatus, isCancelable, nextStep, onComplete, run, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowBaseInserts

          public boolean allowBaseInserts

    - #### alnWindowSize

          public int alnWindowSize

    - #### baseOutputName1

          public java.lang.String baseOutputName1

    - #### baseOutputName2

          public java.lang.String baseOutputName2

    - #### baseOutputNameShared

          public java.lang.String baseOutputNameShared

    - #### conFile1

          public java.lang.String conFile1

    - #### conFile2

          public java.lang.String conFile2

    - #### gapPenalty

          public double gapPenalty

    - #### maxEnergyDiff

          public int maxEnergyDiff

    - #### maxStructures

          public int maxStructures

    - #### outDsv

          public java.lang.String outDsv

    - #### outDynAln

          public java.lang.String outDynAln

    - #### outDynCt1

          public java.lang.String outDynCt1

    - #### outDynCt2

          public java.lang.String outDynCt2

    - #### outPartsCt1

          public java.lang.String outPartsCt1

    - #### outPartsCt2

          public java.lang.String outPartsCt2

    - #### partsMode

          public int partsMode

    - #### seqType1

          public int seqType1

    - #### seqType2

          public int seqType2

    - #### sequence1

          public java.lang.String sequence1

    - #### sequence2

          public java.lang.String sequence2

    - #### shapeFile

          public java.lang.String shapeFile

    - #### stochasticSamples

          public int stochasticSamples

    - #### windowSize

          public int windowSize

  - ### Constructor Detail

    - #### PredictTask

          private PredictTask()

  - ### Method Detail

    - #### runCalc

          protected void runCalc()

      Specified by:
        `runCalc` in class `PredictWindowBase.PredictTaskBase`

    - #### showResults

          protected boolean showResults()

      Show the results window.
      Specified by:
        `showResults` in class `PredictWindowBase.PredictTaskBase`
      Returns:
        True if the results window could be shown. False otherwise.